javax.swing.plaf.basic

## Class BasicBorders.MenuBarBorder

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.plaf.basic.BasicBorders.MenuBarBorder

- All Implemented Interfaces:
    Serializable, Border, UIResource
  Enclosing class:
    BasicBorders

      public static class BasicBorders.MenuBarBorder
      extends AbstractBorder
      implements UIResource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MenuBarBorder(Color shadow, Color highlight)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Insets` | `getBorderInsets(Component c, Insets insets)` Reinitializes the insets parameter with this Border's current Insets.
    `void` | `paintBorder(Component c, Graphics g, int x, int y, int width, int height)` This default implementation does no painting.

    - ### Methods inherited from class javax.swing.border.AbstractBorder

      `getBaseline, getBaselineResizeBehavior, getBorderInsets, getInteriorRectangle, getInteriorRectangle, isBorderOpaque`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MenuBarBorder

          public MenuBarBorder(Color shadow,
                               Color highlight)

  - ### Method Detail

    - #### paintBorder

          public void paintBorder(Component c,
                                  Graphics g,
                                  int x,
                                  int y,
                                  int width,
                                  int height)

      Description copied from class: `AbstractBorder`
      This default implementation does no painting.
      Specified by:
        `paintBorder` in interface `Border`
      Overrides:
        `paintBorder` in class `AbstractBorder`
      Parameters:
        `c` - the component for which this border is being painted
        `g` - the paint graphics
        `x` - the x position of the painted border
        `y` - the y position of the painted border
        `width` - the width of the painted border
        `height` - the height of the painted border

    - #### getBorderInsets

          public Insets getBorderInsets(Component c,
                                        Insets insets)

      Description copied from class: `AbstractBorder`
      Reinitializes the insets parameter with this Border's current Insets.
      Overrides:
        `getBorderInsets` in class `AbstractBorder`
      Parameters:
        `c` - the component for which this border insets value applies
        `insets` - the object to be reinitialized
      Returns:
        the `insets` object

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.